Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in libcdio
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in libcdio
ID: openSUSE-SU-2018:2294-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Fr, 10. August 2018, 07:13
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-18199
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-18201
Applikationen: GNU Compact Disc Input and Control Library

Originalnachricht

   openSUSE Security Update: Security update for libcdio
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2294-1
Rating: low
References: #1082821 #1082877
Cross-References: CVE-2017-18199 CVE-2017-18201
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for libcdio fixes the following issues:

The following security vulnerabilities were addressed:

- CVE-2017-18199: Fixed a NULL pointer dereference in realloc_symlink in
rock.c (bsc#1082821)
- CVE-2017-18201: Fixed a double free vulnerability in
get_cdtext_generic() in _cdio_generic.c (bsc#1082877)
- Fixed several memory leaks (bsc#1082821)

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-857=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

libcdio++0-0.94-lp150.5.3.1
libcdio++0-debuginfo-0.94-lp150.5.3.1
libcdio-debugsource-0.94-lp150.5.3.1
libcdio-devel-0.94-lp150.5.3.1
libcdio16-0.94-lp150.5.3.1
libcdio16-debuginfo-0.94-lp150.5.3.1
libiso9660-10-0.94-lp150.5.3.1
libiso9660-10-debuginfo-0.94-lp150.5.3.1
libudf0-0.94-lp150.5.3.1
libudf0-debuginfo-0.94-lp150.5.3.1

- openSUSE Leap 15.0 (x86_64):

cdio-utils-0.94-lp150.5.3.1
cdio-utils-debuginfo-0.94-lp150.5.3.1
cdio-utils-debugsource-0.94-lp150.5.3.1
libcdio++0-32bit-0.94-lp150.5.3.1
libcdio++0-32bit-debuginfo-0.94-lp150.5.3.1
libcdio16-32bit-0.94-lp150.5.3.1
libcdio16-32bit-debuginfo-0.94-lp150.5.3.1
libiso9660-10-32bit-0.94-lp150.5.3.1
libiso9660-10-32bit-debuginfo-0.94-lp150.5.3.1
libudf0-32bit-0.94-lp150.5.3.1
libudf0-32bit-debuginfo-0.94-lp150.5.3.1


References:

https://www.suse.com/security/cve/CVE-2017-18199.html
https://www.suse.com/security/cve/CVE-2017-18201.html
https://bugzilla.suse.com/1082821
https://bugzilla.suse.com/1082877

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung